%-------------------------------------------------------------------
% lecture des donnes de validation
load A_valid.txt -ascii 
XV=A_valid(:,1);         % vecteur des observations en entre
YV=A_valid(:,2);         % vecteur des observations en sortie


%-------------------------------------------------------------------
% Comparaison de la sortie du rseau et des donnes
figure(4);           
plot(X,Y,'+',XT,YT,XV,YV,'r+');
xlabel('Entre X');
ylabel('Sortie Y');
title('Comparaison de la sortie du rseau avec les donnes');
legend('Donnes d''apprentissage','Sortie du rseau','Donnes de validation',2);

%-------------------------------------------------------------------
% Calcul de la valeur finale du critre des moindres carrs pour les 
% donnes de validation
Crit_valid=mlperr(net,XV,YV)
